Skip to main content

Update a profile

PATCH 

/nevisidm/api/core/v1/:clientExtId/profiles/:extId

Since: 2.71.0

Required permission(s): AccessControl.ProfileView,AccessControl.ProfileModify

Partially updates the profile with the given external ID within the specified client. Only provided fields will be updated. Fields not included in the request body remain unchanged.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    extId stringrequired

    External ID of the profile to update.

    Example: profile-123

Body

required
    profileState string

    Possible values: [active, disabled, archived]

    The state of the profile.

    name string

    The name of the profile.

    isDefaultProfile boolean

    Determines whether the profile is default or not.

    validity object

    Describes the validity period of the profile.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    remarks string

    Textual remark regarding the profile.

    modificationComment string

    Textual comment regarding the last modification.

    version int32

    Version used for optimistic locking.

Responses

Profile updated successfully

Schema
    created string

    Creation date of the entity.

    lastModified string

    Date when the entity was last modified.

    version int32

    Version used for optimistic locking.

    extId string

    The external ID of the profile.

    userExtId string

    The external ID of the user to whom the profile belongs.

    unitExtId string

    The external ID of the unit to which the profile belongs.

    clientExtId string

    The external ID of the client to which the policy belongs.

    deputedProfileExtId string

    The external ID of the deputed profile.

    name string

    The name of the profile.

    profileState string

    The state of the profile.

    isDefaultProfile boolean

    Determines whether the profile is default or not.

    validity object

    Describes the validity period of the profile.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

    remarks string

    Textual remark regarding the profile.

    modificationComment string

    Textual comment regarding the last modification.

    get_classifications object

    Data classifications for the profile fields.

    property name* string[]
  • Array [
  • string

  • ]
Loading...